bugGNU Octave - Bugs: bug #53572, mxe-installer does not detect Java...

 
 

bug #53572: mxe-installer does not detect Java > 8 on Windows

Submitted by:  Philip Nienhuis <philipnienhuis>
Submitted on:  Fri 06 Apr 2018 09:09:16 AM UTC  
 
Category:  Configuration and Build System Severity:  3 - Normal
Priority:  5 - Normal Item Group:  Incorrect Result
Status:  Fixed Assigned to:  John Donoghue <lostbard>
Originator Name:  Philip Nienhuis Open/Closed:  Closed
Release:  dev Operating System:  Microsoft Windows

Add a New Comment(Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

( Jump to the original submission)

Mon 18 Jun 2018 06:18:16 PM UTC, comment #6:

In cmd prompt, if I type "java - version", it not tell me nothing if it is 32 bits or 64 bits.

As it´s installed in "Program Files (x86)", looks like it´s 32 bits (and Octave is 64 bits).

I didn´t found a "JavaSoft" in HK_LOCAL_MACHINE registry.

It´s available only in HKEY_CURRENT_USER\Software\JavaSoft

Txt file is attached.

Thank you. I will install 64 bits version.

(file #44393)

Renato <yamane>
Sun 17 Jun 2018 07:44:28 PM UTC, comment #5:

@yamane,

which type of java does the screenshot show - for win64 octave, you will need the win64 java installed. It will not detect the 32 bit version.

Likewise for the win32 octave needing the win32 java.

John Donoghue <lostbard>
Project MemberIn charge of this item.
Wed 11 Apr 2018 05:10:24 PM UTC, comment #4:

I'm going to go ahead and close the report. It can be re-opened if troubles appear with the 4.3.90 release candidate.

Rik <rik5>
Project Administrator
Mon 09 Apr 2018 05:07:55 PM UTC, comment #3:

A 5.0.0 cross-build nicely detects Java 10 on my Windows 7 box.
I suppose that result equally applies to the stable branch, but I'll leave this report open in case someone wants to be sure.

Philip Nienhuis <philipnienhuis>
Project Member
Fri 06 Apr 2018 08:16:36 PM UTC, comment #2:

Pushed http://hg.octave.org/mxe-octave/rev/982484a78b75

John Donoghue <lostbard>
Project MemberIn charge of this item.
Fri 06 Apr 2018 12:58:17 PM UTC, comment #1:

I'll take a look unless some else gets to it first

John Donoghue <lostbard>
Project MemberIn charge of this item.
Fri 06 Apr 2018 09:09:16 AM UTC, original submission:

While testing bug #53520 I noted that the NSIS-installer doesn't detect Java > 8 during installation of the windows binary.
After installation Octave (with patch from bug #53520) does find Java > 8 so it is the installer proper that hicks up a bit.

Apparently a a patch for the NSIS installer itself is needed along the lines of the one by Markus in comment #2 in bug #53520.

Philip Nienhuis <philipnienhuis>
Project Member

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

Attached Files
file #44393:  HKEY_CURRENT_USER_Software_JavaSoft.txt added by yamane (4KiB - text/plain - Javasoft entry in regedit)
file #44383:  java.png added by yamane (78KiB - image/png - This problem is still happening in Octave 4.4.0 version)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by yamane (Updated the item)
  • -email is unavailable- added by lostbard (Posted a comment)
  • -email is unavailable- added by philipnienhuis (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only project members can vote.

     

     

     

    Follow 7 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2018-06-18 rik5 Carbon-CopyRemoved 72865 => -
    2018-06-18 yamane Attached File- => Added HKEY_CURRENT_USER_Software_JavaSoft.txt, #44393
    2018-06-17 yamane Attached File- => Added java.png, #44383
    2018-04-11 rik5 StatusReady For Test => Fixed
        Open/ClosedOpen => Closed
    2018-04-06 lostbard StatusNone => Ready For Test
        Assigned toNone => lostbard

    Back to the top


    Powered by Savane 3.4